Subject: bug#76210: closed (Re: bug#76210: 31.0.50; menu-bar-mode unexpectedly shrinks frame substantially)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 12:04:03 +0000

Your bug report

#76210: 31.0.50; menu-bar-mode unexpectedly shrinks frame substantially

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76210: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76210
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76210: 31.0.50; menu-bar-mode unexpectedly shrinks frame substantially
From: Eli Zaretskii <[email-masked]>
To: Markus Triska <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 01 Mar 2025 14:03:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Markus Triska <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Wed, 12 Feb 2025 18:41:31 +0100
> 
> martin rudalics <[email-masked]> writes:
> 
> > before triggering that loop?  If you want to run it from the command line,
> > use
> >
> >  --eval "(progn (setopt frame-inhibit-implied-resize '(tab-bar-lines menu-bar-lines)) (while t (menu-bar-mode (if menu-bar-mode 0 1)) (redisplay)))"
> 
> This yields exactly the behaviour I would expect from repeatedly
> enabling and disabling menu-bar-mode, i.e.: no changes of frame size
> even after many repetitions.

no further comments, so I presume the issue is resolved, and I'm
closing this bug.

Subject: 31.0.50; menu-bar-mode unexpectedly shrinks frame substantially
From: Markus Triska <[email-masked]>
To: [email-masked]
Date: Tue, 11 Feb 2025 20:48:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

To reproduce this issue, please invoke Emacs with:

    $ emacs -Q --eval "(while t (menu-bar-mode (if menu-bar-mode 0 1)) (redisplay))"

Within a few seconds of running this, I unexpectedly see the frame
getting smaller and smaller.

With earlier Emacs versions, the frame unexpectedly becomes
substantially larger within a few minutes of running it.

All the best,
Markus

In GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw
 scroll bars) of 2025-02-11 built on debian
Repository revision: 0e76716c5faa5e91ac3913b02ba4dc690cf5df83
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)

Configured using:
 'configure --with-x-toolkit=lucid --with-xpm=ifavailable
 --with-gif=ifavailable --with-tiff=ifavailable
 --with-gnutls=ifavailable'

Configured features:
FREETYPE GMP JPEG LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP
SOUND THREADS TOOLKIT_SCROLL_BARS X11 XDBE XFT XIM XPM LUCID ZLIB